# Exercices

## Exercice 1

Pour un entier a donné, afficher "a" fois le nombre a. Lorsque a est plus grand que 10, afficher seulement "a" moins dix fois.

Exemples:

si a = 3

    a
    a
    a

si a = 5

    a
    a
    a
    a
    a

si a = 14

    a
    a
    a
    a

=> Exercice1.java

## Exercice 2

Pour un entier n donné, afficher la somme des entiers de 0 à n

Exemple:

si n = 3: 6 (0+1+2+3)

si n = 5: 15 (0+1+2+3+4+5)

=> Somme.java

## Exercice 3

Pour un tableau donné d'entiers, afficher la valeur maximale.

=> Maximum.java

## Exercice 4

Afficher les tables de multiplication pour les entiers de 1 à 9

Exemple:

    1 x 1 = 1
    1 x 2 = 2
    1 x 3 = 3
    1 x 4 = 4
    1 x 5 = 5
    1 x 6 = 6
    1 x 7 = 7
    1 x 8 = 8
    1 x 9 = 9
    2 x 1 = 2
    2 x 2 = 4
    2 x 3 = 6
    ...

=> TableMult.java

## Exercice 5

Pour 2 variables a et b données, remplacer les valeurs des 2 variables.

Exemple:

    a = 5
    b = 1

    a = 1
    b = 5

=> InvVars.java

## Exercice 6

Pour un tableau d'entier donné, retourner un tableau contenant les mêmes éléments dans l'ordre inverse.

Exemple:

    1, 2, 3

    3, 2, 1

=> InvTab.java

## Exercice 7

Pour 2 entiers donnés (n et p), retourner la somme des entiers entre ces 2 entiers (compris).

Exemples:

    n = 3
    p = 7

    somme = 3 + 4 + 5 + 6 +7 = 25

=> Somme2.java

## Exercice 8

Écrire un programme qui affiche les nombres de 1 à 199. Mais pour les multiples de 3, afficher “Fizz” au lieu du nombre et pour les multiples de 5 afficher “Buzz”. Pour les nombres multiples de 3 et 5, afficher “FizzBuzz”.

Exemple:

    1
    2
    Fizz
    4
    Buzz
    Fizz
    7
    8
    Fizz
    Buzz
    11
    Fizz
    13
    14
    FizzBuzz
    ...

=> FizzBuzz.java

## Exercice 9

Chiffre de César:

Le texte chiffré s'obtient en remplaçant chaque lettre du texte clair original par une lettre à distance fixe, toujours du même côté, dans l'ordre de l'alphabet. Pour les dernières lettres (dans le cas d'un décalage à droite), on reprend au début. Par exemple avec un décalage de 3 vers la droite, A est remplacé par D, B devient E, et ainsi jusqu'à W qui devient Z, puis X devient A etc.

=> CesarChiffre.java CesarDechiffre.java

## Exercice 10

Verification IBAN:

1. Enlever les caractères indésirables (espaces, tirets),
2. Supprimer les 4 premiers caractères et les replacer à la fin du compte,
3. Remplacer les lettres par des chiffres au moyen d'une table de conversion (A=10, B=11, C=12 etc.),
4. Diviser le nombre ainsi obtenu par 97,
5. Si le reste n'est pas égal à 1 l'IBAN est incorrect : Modulo de 97 égal à 1.

# Idées

* Chiffrement de César
* Somme des entiers entre 2 entiers donnés
* FizzBuzz

* cle IBAN
* Chiffrement de Vigenere
* Factoriel
* Nombre d'occurrences d'un mot dans un texte
